// Les variables
  float rayon = 1;
  float demi_largeur = 0.4;
  int n = 60; // moitié du nombre sommets

void definirFigure(){
  
  pixelsParUnite(150);
  //Définition des sommets
  for(int k = 0; k <= n; k++){
    float angle1 = k*PI/n;
    float angle2 = 2*angle1;
    float r1 = rayon + demi_largeur * sin(angle1);
    float r2 = rayon - demi_largeur * sin(angle1);
    float u = demi_largeur * cos(angle1);
    definirSommet(2*k+1, r1*cos(angle2), r1*sin(angle2), u);
    definirSommet(2*k+2, r2*cos(angle2), r2*sin(angle2), -u);
  }
  //Définition des faces
  for(int k = 0; k < 2*n; k++){
    if(k%2 == 0){
      definirFace(k+1, k+1, k+2, k+3);
      couleurFace(k+1, 255, 0, 0);
    }else{
      definirFace(k+1, k+1, k+2, k+3);
      couleurFace(k+1, 0, 255, 0);
    }
  }
    
  creerGlissiereG1(1, 6 , 1);
  
}

void initialiserFigure(){
  fixeRotationY(-15);
}

void redefinirCertainsSommets(){
  for(int k = 0; k <= n; k++){
    float angle1 = k*PI/n;
    float angle2 = 2*angle1;
    int v = round(valG1);
    float r1 = rayon + demi_largeur * sin(v*angle1);
    float r2 = rayon - demi_largeur * sin(v*angle1);
    float u = demi_largeur * cos(v*angle1);
    redefinirSommet(2*k+1, r1*cos(angle2), r1*sin(angle2), u);
    redefinirSommet(2*k+2, r2*cos(angle2), r2*sin(angle2), -u);
  }
}
