import java.awt.Frame;
import java.awt.BorderLayout;
import controlP5.*;

ControlP5 cp5;
ControlFrame cf = null;

String mode; 
int compos=0;
float speedR, speedT, speedE, speedZ, speedV;
float speedRMin, speedRMax, speedTMin, speedTMax, speedEMin, speedEMax, speedZMin, speedZMax, speedVMin, speedVMax;
float valG1, minG1, maxG1, valG2, minG2, maxG2, valG3, minG3, maxG3;
float valG1Init, valG2Init, valG3Init;
int posX = 0, posY = 0, sens;
float rotX = 0, rotY = 0, transX = 0, transY = 0, posCamX, posCamY, posCamZ;
float rotX0 = 0, rotY0 = 0, transX0 = 0, transY0 = 0, posCamX0, posCamY0;
int prochainControle = 210;
boolean gg1=false, gg2=false,gg3=false; // glissières des paramètres présentes ou non
String nomG1="G1", nomG2="G2", nomG3="G3";

float[] transFaces; // pour mémoire translations
float[] addEchFaces; // pour mémoire échelles
float[] addVideFaces;

ArrayList<float[]> l; // temporaire pour sommets
ArrayList<int[]> faces; // Temporaire pour faces 
ArrayList<int[]> couleursTemp; // Temporaire pour couleurs
PVector[] sommets;
PVector[] sommetsAux;
color[] couleurs;
float ppu = 1;
FaceReg[] lesFaces;

boolean sauver = false;

//************** Nouvelle approche de prrogrammation *********


void pixelsParUnite(float x){
  ppu = abs(x);
  if(ppu == 0){ppu = 1;}
}

void definirSommet(float num, float x, float y, float z){
  float[] a = {num, x, y, z};
  l.add(a);
}

void definirFace(int num, int s1, int s2, int s3){
  int[] u = {num, s1-1, s2-1, s3-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1};
  faces.add(u);;
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13, int s14){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1, s14-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13, int s14, int s15){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1, s14-1, s15-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13, int s14, int s15, int s16){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1, s14-1, s15-1, s16-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13, int s14, int s15, int s16, int s17){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1, s14-1, s15-1, s16-1, s17-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13, int s14, int s15, int s16, int s17, int s18){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1, s14-1, s15-1, s16-1, s17-1, s18-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13, int s14, int s15, int s16, int s17, int s18, int s19){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1, s14-1, s15-1, s16-1, s17-1, s18-1, s19-1};
  faces.add(u);
}

void definirFace(int num, int s1, int s2, int s3, int s4, int s5, int s6, int s7, int s8,
                 int s9, int s10, int s11, int s12, int s13, int s14, int s15, int s16, int s17, int s18, int s19, int s20){
  int[] u = {num, s1-1, s2-1, s3-1, s4-1, s5-1, s6-1, s7-1, s8-1, s9-1, s10-1, s11-1, s12-1, s13-1, s14-1, s15-1, s16-1, s17-1, s18-1, s19-1, s20-1};
  faces.add(u);
} 

void definirFace(int num, int[] somFace){
  int[] u = new int[somFace.length + 1];
  u[0] = num;
  for(int i = 0; i<somFace.length; i++){
    u[i+1] = somFace[i]-1;
  }
  faces.add(u);
}

void couleurFace(int num, float r, float g, float b){
  int[]u = {num, (int)r, (int)g, (int)b};
  couleursTemp.add(u);
}
   

void construireTableauSommets(){
  int nbSommets = l.size();
  sommets = new PVector[nbSommets];
  sommetsAux = new PVector[nbSommets];
  for(int i = 0; i < nbSommets; i++){
    float[] u = l.get(i);
    int num = (int) u[0];
    sommets[num-1] = new PVector(u[1]*ppu, u[2]*ppu, u[3]*ppu);
    sommetsAux[num-1] = new PVector(u[1]*ppu, u[2]*ppu, u[3]*ppu); 
  }
}

void construireTableauCouleurs(){
  int nbCouleurs = faces.size();
  couleurs = new color[nbCouleurs];
  for(int i = 0; i < nbCouleurs; i++){
    couleurs[i] = color((int) random(256), (int) random(256), (int) random(256));
    //int[] l = couleursTemp.get(i);
    //couleurs[i] = color(l[0], l[1], l[2]);
  }
  for(int i = 0; i < couleursTemp.size(); i++){
    int[] l = couleursTemp.get(i);
    int num = l[0];
    couleurs[num - 1] = color(l[1], l[2], l[3]);
  }
}

void construireFigure(){
  construireTableauSommets();
  construireTableauCouleurs();
  // Construire les différentes faces et leur assigner leur couleur
  lesFaces = new FaceReg[faces.size()];
  for(int i = 0; i < faces.size(); i++){
    //PVector[] sommetsFace = new PVector[faces.get(i).length];
    PVector[] sommetsFace = new PVector[faces.get(i).length - 1];
    for(int j = 1; j < faces.get(i).length; j++){
      sommetsFace[j-1] = sommets[faces.get(i)[j]];
    }
    lesFaces[faces.get(i)[0]-1] = new FaceReg(sommetsFace);
    lesFaces[faces.get(i)[0]-1].setCouleur(couleurs[i]);
  }
}

void redefinirSommet(int i, float x, float y, float z){
  sommetsAux[i-1] = new PVector(x*ppu, y*ppu, z*ppu);
  // Chercher les faces concernées
  for(int j = 0; j < faces.size(); j++){
    int[] t = faces.get(j);
    int num = t[0]; // le numéro de la face en j
    
    // Chercher si i est dans la face t
    for(int k = 1; k < t.length; k++){
      if(t[k] == i-1){// si le sommet i est en position k dans la face
        lesFaces[num-1].modifierSommet(k-1, new PVector(x*ppu, y*ppu, z*ppu));
      }
    }
    
  }
}

void creerGlissiereG1(float min, float max, float val){
  maxG1 = max;
  minG1 = min;
  valG1 = val;
  valG1Init = val;
  gg1 = true;
}

void creerGlissiereG2(float min, float max, float val){
  maxG2 = max;
  minG2 = min;
  valG2 = val;
  valG2Init = val;
  gg2 = true;
}

void creerGlissiereG3(float min, float max, float val){
  maxG3 = max;
  minG3 = min;
  valG3 = val;
  valG3Init = val;
  gg3 = true;
}

void creerGlissiereG1(String nom, float min, float max, float val){
  nomG1 = nom;
  creerGlissiereG1(min, max, val);
}

void creerGlissiereG2(String nom, float min, float max, float val){
  nomG2 = nom;
  creerGlissiereG2(min, max, val);
}

void creerGlissiereG3(String nom, float min, float max, float val){
  nomG3 = nom;
  creerGlissiereG3(min, max, val);
}

float xSommet(int i){
  return sommetsAux[i-1].x/ppu;
}

float ySommet(int i){
  return sommetsAux[i-1].y/ppu;
}

float zSommet(int i){
  return sommetsAux[i-1].z/ppu;
}

// Nouveaux

void fixeEchelle(int i, float valeur){
  if (i<0 || i>lesFaces.length){return;}
  if (i == 0){
    for(int j = 0; j < lesFaces.length; j++){
      lesFaces[j].echelle = valeur;
    } 
  }else{
    lesFaces[i-1].echelle = valeur;
  }
}

float donneEchelle(int i){ 
  if (i<1 || i>lesFaces.length){return 1.0/0;}
  return lesFaces[i-1].echelle;
}

void fixeVisible(int i, boolean b){
  if (i<0 || i>lesFaces.length){return;}
  if (i == 0){
    for(int j = 0; j < lesFaces.length; j++){
      lesFaces[j].visible = b;
    } 
  }else{
    lesFaces[i-1].visible = b;
  }
}

boolean donneVisible(int i){
  if (i<1 || i>lesFaces.length){return false;}
  return lesFaces[i-1].visible;
}

void fixeTailleCreux(int i, float s){// s entre 0 et 1
  if (i<0 || i>lesFaces.length){return;}
  if (s<0){s = 0;}
  if (s>1){s = 1;}
  if (i == 0){
    for(int j = 0; j < lesFaces.length; j++){
      lesFaces[j].t = s;
    } 
  }else{
    lesFaces[i-1].t = s;
  }
}

float donneTailleCreux(int i){
  if (i<1 || i>lesFaces.length){return 0;}
  return lesFaces[i-1].t;
}

void integrerDansFigure(int i, boolean b){
  if (i<0 || i>lesFaces.length){return;}
  if (i == 0){
    for(int j = 0; j < lesFaces.length; j++){
      lesFaces[j].partieDeLaFigure = b;
    } 
  }else{
    lesFaces[i-1].partieDeLaFigure = b;
  }  
}

boolean donneDansFigure(int i){
  if (i<1 || i>lesFaces.length){return false;}
  return lesFaces[i-1].partieDeLaFigure;
}

void changerCouleur(int i, float r, float g, float b){
  if (i<1 || i>lesFaces.length){return;}
  lesFaces[i-1].couleur = color(r, g, b);
}

color donneCouleur(int i){
  if (i<1 || i>lesFaces.length){return color(0, 0, 0);} // noir
  return lesFaces[i-1].couleur;
}

float donneRouge(int i){
  if (i<1 || i>lesFaces.length){return 0;} // noir
  return red(lesFaces[i-1].couleur);
}

float donneVert(int i){
  if (i<1 || i>lesFaces.length){return 0;} // noir
  return green(lesFaces[i-1].couleur);
}

float donneBleu(int i){
  if (i<1 || i>lesFaces.length){return 0;} // noir
  return blue(lesFaces[i-1].couleur);
}

// Translations des faces selon leur normale
// Attention : l'orientation de la normales dépend de l'ordre d'énumération des sommets

void fixeTranslation(int i, float t){
  if (i<1 || i>lesFaces.length){return;}
  lesFaces[i-1].setTranslationN(t*ppu);
}

float donneTranslation(int i){
  if (i<1 || i>lesFaces.length){return 0;}
  return lesFaces[i-1].translationN()/ppu;
}


// Transformations globales

void fixeTranslationX(float x){
  transX = x*ppu;
}

void ajouteTranslationX(float x){
  transX += x*ppu;
}

void fixeTranslationY(float y){
  transY = y*ppu;
}

void ajouteTranslationY(float x){
  transY += x+ppu;
}

float donneTranslationX(){
  return transX/ppu;
}

float donneTranslationY(){
  return transY/ppu;
}

void fixeRotationY(float r){
  rotY = r * PI/180;
}

void ajouteRotationY(float r){
  rotY += r * PI/180;
}

float donneRotationY(){
  return rotY;
}

void fixeRotationX(float r){
  rotX = r * PI/180;
}

void ajouteRotationX(float r){
  rotX += r * PI/180;
}

float donneRotationX(){
  return rotX;
}

void prendrePhoto(String nom){
  saveFrame(nom);
}



//************************************************************

void setup(){
  size(600, 600, P3D);
  speedRMin = 8; speedRMax = 30;
  speedTMin = 3; speedTMax = 50;
  speedEMin = 1; speedEMax = 50;
  speedZMin = 1; speedZMax = 5;
  speedVMin = 1; speedVMax = 50;
  minG1 = 0; minG2 = 0; minG3 = 0;
  maxG1 = 1; maxG2 = 1; maxG3 = 1;
  valG1Init = minG1; valG2Init = minG2; valG3Init = minG3;
  l = new ArrayList();
  faces = new ArrayList();
  couleursTemp = new ArrayList();
  definirFigure();
  construireFigure();
  transFaces = new float[faces.size()]; 
  addEchFaces = new float[faces.size()]; 
  addVideFaces = new float[faces.size()];
  cf = addControlFrame("Contrôles", 425, 560);
  initialisation();
  //Premier tracé
  background(128);
  translate(width/2 + transX, height/2 + transY);
  rotateX(rotX);
  rotateY(rotY);
  for(int i = 0; i < lesFaces.length; i++){
    lesFaces[i].display();
  }
}


void draw(){

  if(keyPressed){
    if(key =='r'){mode="rot";}
    if(key =='t'){mode="trans";}
    if(key =='e'){mode="ech";}
    if(key =='z'){mode="zoom";}
    if(key =='v'){mode ="vis";}
    if(key =='a'){mode="rien";}
    if(key =='i'){mode="init";}
    if(key == 'c'){mode="creux";}
    if((key=='+' || key=='=') && (mode =="rot")){speedR=min(speedR+0.2, speedRMax);}
    if((key=='-') && (mode =="rot")){speedR=max(speedR-0.2, speedRMin);}
    if((key=='+' || key=='=') && (mode =="trans")){speedT=min(speedT+0.2, speedTMax);}
    if((key=='-') && (mode =="trans")){speedT=max(speedT-0.2, speedTMin);}
    if((key=='+' || key=='=') && (mode =="ech")){speedE=min(speedE+0.2, speedEMax);}
    if((key=='-') && (mode =="ech")){speedE=max(speedE-0.2, speedEMin);}
    if((key=='+' || key=='=') && (mode =="zoom")){speedZ=min(speedZ+0.2, speedZMax);}
    if((key=='-') && (mode =="zoom")){speedZ=max(speedZ-0.2, speedZMin);}
    if((key=='+' || key=='=') && (mode =="creux")){speedV=min(speedV+0.05, speedVMax);}
    if((key=='-') && (mode =="creux")){speedV=max(speedV-0.05, speedVMin);}
    if(key=='0' && faces.size()>=0){compos = 0;}
    if(key=='1' && faces.size()>0){compos = 1;}
    if(key=='2' && faces.size()>1){compos = 2;}
    if(key=='3' && faces.size()>2){compos = 3;}
    if(key=='4' && faces.size()>3){compos = 4;}
    if(key=='5' && faces.size()>4){compos = 5;}
    if(key=='6' && faces.size()>5){compos = 6;}
    if(key=='7' && faces.size()>6){compos = 7;}
    if(key=='8' && faces.size()>7){compos = 8;}
    if(key=='9' && faces.size()>8){compos = 9;}
    
    if(key=='f'){
      facesEtoiles(etoile);
    }
    if(key=='p' || key=='P'){
      sauver=true;
    }
    
  }// keyPressed
  
  if(mode == "init"){
    initialisation();
  }
  
  if(mode=="rot" && mousePressed){
    rotX = rotX0 + (speedR/10)*(posY - mouseY)/300.0;
    rotY = rotY0+(speedR/10)*(mouseX - posX)/300.0;
  }
  if(mode == "trans" && mousePressed){
    if(compos == 0){
      transX = transX0 + (speedT/10) * (mouseX - posX);
      transY = transY0 + (speedT/10) * (mouseY - posY);
    }else{
      float p = speedT/10 * (mouseX + mouseY - posX - posY);
      p += transFaces[compos-1];
      lesFaces[compos - 1].setTranslationN(p);
    }
  }
  if(mode == "zoom" && mousePressed){
    posCamX = posCamX0 + (mouseX - posX);
    posCamY = posCamY0 + (mouseY - posY);
    posCamZ = posCamZ - speedZ * sens;
    camera(posCamX, posCamY, posCamZ, width/2, height/2,  -100000, 0, 1, 0);
  }
  
  if (mode == "ech" && mousePressed){
    float e = (speedE/10) * ((mouseX - posX) + (mouseY - posY))/ 300;
    if (compos == 0){
      for(int i = 0; i < lesFaces.length; i++){
        lesFaces[i].setEchelle(e + addEchFaces[i]);
      }
    }else{
      lesFaces[compos - 1].setEchelle(e + addEchFaces[compos - 1 ]);
    }
  }
  
  if(mode == "creux" && mousePressed){
    float e = (speedV/10)*((mouseX - posX)+(mouseY - posY))/300;
    if(compos == 0){
      for(int i = 0; i < lesFaces.length; i++){
        lesFaces[i].setPourCentTrou(e + addVideFaces[i]);
      } 
    }else{
      lesFaces[compos - 1].setPourCentTrou(e + addVideFaces[compos - 1 ]);
    }
  }
  
  
  translate(width/2 + transX, height/2 + transY);
  rotateX(rotX);
  rotateY(rotY);
  redefinirCertainsSommets();
  background(128);
  for(int i = 0; i < lesFaces.length; i++){
    lesFaces[i].display();
  }
  if (sauver && !keyPressed){
    saveFrame("$img-###.png");
    sauver = false;
  }
}

ControlFrame addControlFrame(String nom, int largeur, int hauteur){
  Frame f = new Frame(nom);
  ControlFrame p = new ControlFrame(this, largeur, hauteur);
  f.add(p);
  p.init();
  f.setTitle(nom);
  f.setSize(p.w, p.h);
  f.setLocation(100, 100);
  f.setResizable(false);
  f.setVisible(true);
  return p;
}

void initialisation(){
  // init caméra (zoom)
  posCamZ = 500;
  posCamX = width/2; posCamY = height/2;
  camera(posCamX, posCamY, posCamZ, width/2, height/2, -100000, 0, 1, 0);
  
  // init translations
  transX = 0; transY = 0; transX0 = 0; transY0 = 0;
  for(int i = 0; i < faces.size(); i++){
      transFaces[i]= 0;
      addEchFaces[i] = 1;
      addVideFaces[i] = 0;
   }
   
  // init rotations
  rotX = 0; rotY = 0; rotX0 = 0; rotY0 = 0;
  
  // init faces
  for(int i = 0; i < lesFaces.length; i++){
    lesFaces[i].init();
    lesFaces[i].setCouleur(couleurs[i]);
  }
  
  // init echelle et creux
  for(int i = 0; i < lesFaces.length; i++){
    lesFaces[i].setEchelle(1);
    lesFaces[i].setPourCentTrou(0);
  }
  speedR = speedRMin;
  speedT = speedTMin;
  speedE = speedEMin;
  speedZ = speedZMin;
  speedV = speedVMin;
  valG1 = valG1Init;
  valG2 = valG2Init;
  valG3 = valG3Init;
  
  // init les sommets
  for (int i = 0; i < sommets.length; i++){
    sommetsAux[i] = new PVector(sommets[i].x, sommets[i].y, sommets[i].z);
  }
  
  initialiserFigure();
  
  // init modes
  mode = "rien";
}

void mousePressed(){
  if(mode == "rot"){
    rotX0 = rotX; rotY0 = rotY;
    posX = mouseX; posY = mouseY;
  }
  if (mode == "trans"){
    if(compos == 0){
      posX = mouseX; posY = mouseY;
      transX0 = transX; transY0 = transY;
    }else{
      posX = mouseX; posY = mouseY;
    }
  }
  if(mode == "zoom"){
    posX = mouseX; posY = mouseY;
    posCamX0 = posCamX; posCamY0 = posCamY;
   if(mouseButton == LEFT){
     sens = 1;
   }else {
     sens = -1;
   } 
  }
  if (mode == "ech" || mode =="creux"){
      posX = mouseX; posY = mouseY;
  }
  
  
}

void mouseReleased(){
  if(mode == "trans" && (compos > 0)){
    //transFaces[compos-1].x = lesFaces[compos-1].translation.x;
    //transFaces[compos-1].y = lesFaces[compos-1].translation.y;
    //transFaces[compos-1].z = lesFaces[compos-1].translation.z;
    transFaces[compos-1] = lesFaces[compos-1].translationNum;
  }
  
  if(mode == "ech"){
    for(int i = 0; i < lesFaces.length; i++){
      addEchFaces[i] = lesFaces[i].echelle;
    }
  }
  
  if(mode == "creux"){
    for(int i = 0; i < lesFaces.length; i++){
      addVideFaces[i] = lesFaces[i].t;
    }
  }
  
  if(mode == "vis"){
    if(compos==0){
      for(int i=0; i < lesFaces.length; i++){
        boolean b = lesFaces[i].getVisible();
        lesFaces[i].setVisible(!b);
      }
    }else{
      boolean b =lesFaces[compos-1].getVisible();
      lesFaces[compos-1].setVisible(!b);
    }
  }
}

void affiche(int x){
  print(x);
}

void affiche(float x){
  print(x);
}

void affiche(String x){
  print(x);
}

void afficheLigne(int x){
  println(x);
}

void afficheLigne(float x){
  println(x);
}

void afficheLigne(String x){
  println(x);
}

void quitterProgramme(){
  System.exit(0);
}

// Expérimental
boolean etoile = true;
void facesEtoiles(boolean b){
  for(int i=0; i<lesFaces.length; i++){
    lesFaces[i].etoile=b;
  }
}

void keyReleased(){
  if (key=='f'){
    etoile = !etoile;
  }
}

//**********************************************
public class ControlFrame extends PApplet{
  int w, h;
  DropdownList modes, composantes;
  PFont pfont = createFont("Arial",20,true); // use true/false for smooth/no-smooth
  ControlFont font = new ControlFont(pfont,14);
  String[][] nomsModes = {{"Rotation (r)", "Translation (t)", "Echelle (e)", "Zoom (z)", "Visibilité (v)", "Face creuse (c)", "Rien (a)", "Initial (i)"}, 
                          {"rot", "trans", "ech", "zoom", "vis", "creux", "rien", "init"}};
  String[] nomsComposantes;
  Slider vR, vT, vE, vZ, vC, g1, g2, g3;
  int indexModes;
  
  public void setup(){
    size(w, h);
    frameRate(25);
    cp5 = new ControlP5(this);
    cp5.setFont(font);
    nomsComposantes = new String[faces.size() + 1];
    nomsComposantes[0] = "Toutes";
    for(int i = 1; i < faces.size() + 1; i++){
      nomsComposantes[i] = "Face"+i;
    }
   
    //*********** Les vitesses **************
    vR = cp5.addSlider("Vitesse de rotation").plugTo(parent, "speedR").setRange(speedRMin,speedRMax).setPosition(10, 60).setSize(200, 15);
    vT = cp5.addSlider("Vitesse de translation").plugTo(parent, "speedT").setRange(speedTMin,speedTMax).setPosition(10, 90).setSize(200, 15);
    vE = cp5.addSlider("Vitesse d'échelle").plugTo(parent, "speedE").setRange(speedEMin,speedEMax).setPosition(10, 120).setSize(200, 15);
    vZ = cp5.addSlider("Vitesse de zoom").plugTo(parent, "speedZ").setRange(speedZMin,speedZMax).setPosition(10, 150).setSize(200, 15);
    vC = cp5.addSlider("Vitesse d'évidement").plugTo(parent, "speedV").setRange(speedVMin,speedVMax).setPosition(10, 180).setSize(200, 15);
    if(gg1){
      g1 = cp5.addSlider(nomG1).plugTo(parent, "valG1").setValue(valG1Init).setRange(minG1, maxG1).setPosition(10, prochainControle).setSize(200, 15);
      prochainControle += 30;
    }
    if(gg2){
      g2 = cp5.addSlider(nomG2).plugTo(parent, "valG2").setValue(valG2Init).setRange(minG2, maxG2).setPosition(10, prochainControle).setSize(200, 15);
      prochainControle += 30;
    }
    if(gg3){
      g3 = cp5.addSlider(nomG3).plugTo(parent, "valG3").setValue(valG3Init).setRange(minG3, maxG3).setPosition(10, prochainControle).setSize(200, 15);
      prochainControle += 30;
    }
      //************Menu Modes*************
    prochainControle += 20;  
    modes = cp5.addDropdownList("Modes").setPosition(10, prochainControle).toUpperCase(false);
    modes.setBackgroundColor(color(190));
    modes.setItemHeight(25);
    modes.setSize(140, 225);
    modes.setBarHeight(25);
    modes.captionLabel().set("Mode: Rien");
    modes.captionLabel().style().marginTop = 1;
    modes.captionLabel().style().marginLeft = 3;
    modes.valueLabel().style().marginTop = 2;
    modes.addItems(nomsModes[0]);
    modes.setIndex(4);
    
    //*********Menu Composantes***********
    composantes = cp5.addDropdownList("Composantes").setPosition(160, prochainControle).toUpperCase(false);
    composantes.setBackgroundColor(color(190));
    composantes.setItemHeight(25);
    composantes.setSize(180, 150);
    composantes.setBarHeight(25);
    composantes.captionLabel().style().marginTop = 1;
    composantes.captionLabel().style().marginLeft = 3;
    composantes.valueLabel().style().marginTop = 2;
    composantes.addItems(nomsComposantes);
    composantes.setIndex(0);
    composantes.captionLabel().set("Composante: Toutes");
  }
  
  public void draw(){
    background(100);
    
    textFont(pfont, 16);
    fill(255);
    textAlign(CENTER);
    text("SPAF (Surfaces Par Agencement de Faces)", width/2, 20);
    text("par Maurice Garançon et André Boileau", width/2, 40);
    stroke(255);
    line(0, 50, width, 50);
    miseAJour(); // Ajuste les contrôles lors d'un choix clavier
  }
  
  void keyPressed(){
    if(key =='r'){mode="rot";}
    if(key =='t'){mode="trans";}
    if(key =='e'){mode="ech";}
    if(key =='z'){mode="zoom";}
    if(key =='v'){mode="vis";}
    if(key =='a'){mode="rien";}
    if(key =='i'){mode="init";}
    if(key == 'c'){mode="creux";}
    if((key=='+' || key=='=') && (mode =="rot")){speedR=min(speedR+0.2, speedRMax);}
    if((key=='-') && (mode =="rot")){speedR=max(speedR-0.2, speedRMin);}
    if((key=='+' || key=='=') && (mode =="trans")){speedT=min(speedT+0.2, speedTMax);}
    if((key=='-') && (mode =="trans")){speedT=max(speedT-0.2, speedTMin);}
    if((key=='+' || key=='=') && (mode =="ech")){speedE=min(speedE+0.2, speedEMax);}
    if((key=='-') && (mode =="ech")){speedE=max(speedE-0.2, speedEMin);}
    if((key=='+' || key=='=') && (mode =="zoom")){speedZ=min(speedZ+0.2, speedZMax);}
    if((key=='-') && (mode =="zoom")){speedZ=max(speedZ-0.2, speedZMin);}
    if((key=='+' || key=='=') && (mode =="creux")){speedV=min(speedV+0.05, speedVMax);}
    if((key=='-') && (mode =="creux")){speedV=max(speedV-0.05, speedVMin);}
    if(key=='0' && faces.size()>=0){compos = 0;}
    if(key=='1' && faces.size()>0){compos = 1;}
    if(key=='2' && faces.size()>1){compos = 2;}
    if(key=='3' && faces.size()>2){compos = 3;}
    if(key=='4' && faces.size()>3){compos = 4;}
    if(key=='5' && faces.size()>4){compos = 5;}
    if(key=='6' && faces.size()>5){compos = 6;}
    if(key=='7' && faces.size()>6){compos = 7;}
    if(key=='8' && faces.size()>7){compos = 8;}
    if(key=='9' && faces.size()>8){compos = 9;}
    
    if(key=='p'||key=='P' ){
      sauver=true;
    }
    
    //experimental
    if(key=='f'){
      facesEtoiles(etoile);
    }
  }
  
  
  void mouseReleased(){
    // Déclenchée lorsqu'on a fait un choix dans la fenêtre de contrôle
    indexModes = (int) modes.getValue();
    modes.setCaptionLabel("Mode: " + nomsModes[0][indexModes]);
    mode = nomsModes[1][indexModes];
   
    if(mode=="rot"){
      compos = 0;
      composantes.setIndex(0);
    }else{
      compos = (int) composantes.getValue();
    }
    composantes.setCaptionLabel("Composante: " + nomsComposantes[compos]);
  }
  
  private ControlFrame(){
  }
  
  public ControlFrame(Object leParent, int largeur, int hauteur){
    parent = leParent;
    w = largeur;
    h = hauteur;
  }
  
  public ControlP5 control(){
    return cp5;
  }
  

  public void miseAJour(){ 
    // Exemple de mise à jour des modes 
    // Obtenir index de mode dans modeAbrev
    int m = indexDe(mode, nomsModes[1]);
    if(m > -1){
      indexModes = m;
      modes.setIndex(m);
    }else{
      indexModes = 4;
      modes.setIndex(4);
    };
    if(mode=="rot" || mode == "zoom"){
      compos = 0;
      composantes.setIndex(0);
      composantes.setCaptionLabel("Composante: " + nomsComposantes[compos]);
    }
    // Mise à jour Objets si nécessaire
    // Mise à jour composantes si nécessaire
      composantes.setIndex(compos);
      if (compos < 10){
        composantes.setCaptionLabel("Composante: " + nomsComposantes[compos] + " (" + compos + ")");
      }else{
        composantes.setCaptionLabel("Composante: " + nomsComposantes[compos]);
      }
    // Mise à jour vitesses (en fonction des modes ou bien toutes en tout temps)
    vR.setValue(speedR);
    vT.setValue(speedT);
    vE.setValue(speedE);
    vZ.setValue(speedZ);
    if(gg1){
      g1.setValue(valG1);
    }
    if(gg2){
      g2.setValue(valG2);
    }
    if(gg3){
      g3.setValue(valG3);
    }
    //tr.setValue(transparence);
  }
  

  public int indexDe(String s, String[] tab){
    for(int i = 0; i < tab.length; i++){
      if(s.equals(tab[i])){
        return i;
      }
    }
    return -1;
  }

  Object parent; 
} // fin ControlFrame

