int nbSommets = 0;
color[] c = new color[4];

void definirFigure(){
  // Définition des sommets
 pixelsParUnite(200);
  //definirSommet(num, x, y, z);
  ArrayList<Sommet[]> initTetra = new ArrayList<Sommet[]>();
  Sommet[] s = new Sommet[4];
 
  PVector p = new PVector(0, 0, 0);
  definirSommet(++nbSommets, p);
  s[0] = new Sommet(nbSommets, p);
  
  p = new PVector(1, 0, 0);
  definirSommet(++nbSommets, p);
  s[1] = new Sommet(nbSommets, p);
  
  p = new PVector(0, 1, 0);
  definirSommet(++nbSommets, p);
  s[2] = new Sommet(nbSommets, p);
  
  p = new PVector(0, 0, 1);
  definirSommet(++nbSommets, p);
  s[3] = new Sommet(nbSommets, p);
  
  initTetra.add(s);
  // Définition des faces
  c[0] = color(255, 0, 0);
  c[1] = color(0, 255, 0);
  c[2] = color(0, 0, 255);
  c[3] = color(255, 255, 0);
  
  subdivise(initTetra, 4);
  // creerGlissiere si nécessaire
  //creerGlissiereG1(borne1, borne2 , valeur);
  
}

void initialiserFigure(){
  fixeRotationY(-50);
  fixeRotationX(-10);
}

void redefinirCertainsSommets(){
  //redefinirSommet(num, coords );
}

PVector milieu(PVector p, PVector q){
  PVector v = PVector.add(p, q);
  v.mult(0.5);
  return v;
}

void definirSommet(int n, PVector v){
  definirSommet(n, v.x, v.y, v.z);
}

void definirFaces(int num, Sommet[] s, color[] c){
    definirFace(4*num+1, s[0].n, s[1].n, s[2].n);
    couleurFace(4*num+1, (int)red(c[1]), (int)green(c[1]), (int)blue(c[1]));
    definirFace(4*num+2, s[0].n, s[2].n, s[3].n);
    couleurFace(4*num+2, (int)red(c[2]), (int)green(c[2]), (int)blue(c[2]));
    definirFace(4*num+3, s[0].n, s[3].n, s[1].n);
    couleurFace(4*num+3,(int)red(c[3]), (int)green(c[3]), (int)blue(c[3])); 
    definirFace(4*num+4, s[1].n, s[2].n, s[3].n);
    couleurFace(4*num+4, (int)red(c[0]), (int)green(c[0]), (int)blue(c[0]));
}

void subdivise(ArrayList<Sommet[]> tetras, int niveau){
  if (niveau < 1){
    for(int i = 0; i < tetras.size(); i++){
      Sommet[] tetra = tetras.get(i);
      // creer faces pour ce tetra.
      definirFaces(i,tetra, c);
    }
  }else{
    //definir un nouveau tetras = tetras1
    ArrayList<Sommet[]> tetras1 = new ArrayList<Sommet[]>();
    
    for(int k = 0; k < tetras.size(); k++){
      ArrayList<Sommet[]> lesTetras = new ArrayList<Sommet[]>(); 
      Sommet[] tetra = tetras.get(k);
      for(int n = 0; n<4; n++){
        Sommet[] t = new Sommet[4];
        lesTetras.add(t);  
      } 
      for(int i = 0; i < 4; i++){
        for(int j = 0; j < 4; j++){
          if(i==j){
            lesTetras.get(i)[j] = tetra[i];
          }
          if(j < i){
            lesTetras.get(i)[j] = lesTetras.get(j)[i];
          }
          if(j > i){
            PVector p = milieu(tetra[i].v, tetra[j].v);
            Sommet s = new Sommet(++nbSommets, p);
            definirSommet(nbSommets, p);
            lesTetras.get(i)[j] = s;
          }
        }
      }
      for(int m = 0; m<4; m++){
          tetras1.add(lesTetras.get(m));
      } 
    }
    subdivise(tetras1, niveau-1);
  }
}

class Sommet{
  int n;
  PVector v;
  
  Sommet(int n, PVector v){
    this.n = n;
    this.v = v;
  }
  
  int getN(){
    return n;
  }
  
  PVector getV(){
    return v;
  }
}
